# Device Configuration (Version: OpenSM 5.9.0)

Copyright (c) 2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.

Device Configuration file allows to define unique values for attributes of
devices specified by port groups. Hence, uses port group policy file.

## OpenSM configuration

### Defining Device Configuration file
To define Device Configuration file, set *device_configuration_file* parameter
of OpenSM configuration file to point to Device Configuration file.
For example:
```
device_configuration_file /etc/opensm/conf/device_configuration_file
```
In addition, port group policy file is required in order to enable device
configuration. Set *pgrp_policy_file* parameter of OpenSM configuration file to
point to port group policy file.
For example:
```
pgrp_policy_file /etc/opensm/conf/pgrp_policy_file
```

## Device Configuration file
The device configuration file is composed of port configuration blocks, each
defines attribute values for a group of devices. Each group of devices is
defined by port groups that are parsed from the port group policy file (for
more information regarding port groups, please see doc/port-groups.txt).

Each configuration block should start with 'port-conf' and end with
'end-port-conf'. For example:
```
port-conf
    ...
end-port-conf
```
Use port-group-name field to define devices for the configuration block. The
value should be a name of a port group defined by *port group policy file*.
To set attribute value for the group, specify attribute name and value,
separated by a colon ':'. For example:
```
port-conf
	port-group-name: NAME1
	max-op-vl: 2
	sharp-enabled: true
end-port-conf
```
Assuming NAME1 is a name of a port group defined by *port group policy file*.
For example:
```
port-group
name: NAME1
port-guid: 0x0002c90000000044@2, 0x0002c90000000048@5
end-port-group
```
When there are contradictions in the configuration file, OpenSM gives precedence
to the latest configuration defined in the file for a device.

### Device Configuration supported parameters
The device configuration file currently supports the following parameters:
+ max-op-vl - maximum operational VL for device.
+ sharp-enabled - enable/disable SHARP on the specified device.

## Example of a Device Configuration file
```
port-conf
	port-group-name: NAME1
	max-op-vl: 2
	sharp-enabled: 1
end-port-conf

port-conf
	port-group-name: NAME2, NAME3
	max-op-vl: 4
	sharp-enabled: false
end-port-conf
```
