# MLNXSM 5.12.0

Copyright (c) 2022 NVIDIA CORPORATION & AFFILIATES. All rights reserved.  
July 2022


## Packages:

| Package | Version     |
| ------- | ----------- |
| UFM     | 6.10        |
| MOFED   | 5.7         |


## Main features

- Self healing network with PFRN - GA  

- Support Hash Based Forwarding (HBF) - GA  


## Changes

- Improved routing calculation time for AR_UPDN routing engine.

- Assign dedicated AR group ID per leaf also when SHIELD is disabled.

- Avoid initializing links marked for port resets.

- Update root_guid_file parameter description.

- Remove from guid2lid virtual ports with LID required set to 0.

- Improved root detection algorithm for DF+ to support leaf switches without hosts.


## Parameter changes

| Parameter name                | Status | Type    | Description                                                                   |
| ----------------------------- | ------ | ------- | ------------------------------------------------------------------------------|
| root_guid_file                | Update | Path    | Updated description to include all supported routing engines                  |


## Bug fixes

- Fixed crash when *drop_subscr_on_report_fail* is enabled.

- Fixed failing FRN when there are isolated/heldback switches.

- Fixed memory leak when changing list of routing engines during runtime.

- Fixed trying to directly activate ports in INIT state.

- Fixed activating virtual ports on first time master sweep when running with *--once*.

- Fixed memory leak when parsing QoS policy file with errors.

- Fixed increment of outstanding AN2AN/VS/CC MADs when no response expected.

- Fixed supporting routers in FTREE routing engine.

- Fixed AR LFT in trees have entries with FREE state and empty group 0.

