# MLNXSM 5.14.0

Copyright (c) 2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.  
January 2023


## Packages:

| Package | Version     |
| ------- | ----------- |
| UFM     | 6.12        |
| MOFED   | 5.9         |


## Main features

- Update subnet configuration flow:
  - Activate switch-to-switch links prior to updating routing tables.
  - Set ARLFT tables before setting AR Group tables.
  - Update routing tables of switches with topology changes prior to updating
    tables of switches without topology changes

- Support AR over routers (FLIDs)


## Changes

- Support persistent AR groups for DF+ 1 (dfp) routing engine

- Support multithreaded SL2VL calculation

- Improve UPDN minhop tables calculation times


## Parameter changes

| Parameter name                | Status | Type    | Description                                                                   |
| ----------------------------- | ------ | ------- | ------------------------------------------------------------------------------|
| qos                           | Update | Boolean | Changed default to TRUE                                                       |
| use_optimized_slvl            | Update | Boolean | Changed default to TRUE                                                       |
| use_optimized_port_mask_slvl  | Update | Boolean | Changed default to TRUE                                                       |
| long_transaction_timeout      | Update | Numeric | Changed default from 500 milliseconds to 1000 milliseconds                    |


## Bug fixes

- Fixed crash when Incremental Multicast Routing is enabled

- Fixed enabled PLFT2 on DF+2 when dive-ins are not permitted

- Fixed marking ports not responding to NI as unhealthy instead of entire node.

- Fixed root detection algorithm in trees with missing links.

- Fixed root detection algorithm in DF+ with roots without leaves.

