# MLNXSM 5.13.0

Copyright (c) 2022 NVIDIA CORPORATION & AFFILIATES. All rights reserved.  
November 2022


## Packages:

| Package | Version     |
| ------- | ----------- |
| UFM     | 6.11        |
| MOFED   | 5.8         |


## Main features

- Support port masked optimized SLtoVLMappingTable programming.

- Support PFRN on DFP2 routing engine.

- Support suppressing multicast PKey validation traps.


## Changes

- update default of drop_event_subscriptions to TRUE.

- Update default of drop_subscr_on_report_fail to TRUE.

- Send LFT/ARLFT entry for SMLID last.

- Calculate MTU and Rate for router PathRecords according to route.


## Parameter changes

| Parameter name                | Status | Type    | Description                                                                   |
| ----------------------------- | ------ | ------- | ------------------------------------------------------------------------------|
| root_guid_file                | Update | Path    | Updated description to include all supported routing engines                  |
| suppress_mc_pkey_traps	| New	 | Boolean | Suppress Multicast PKey violation traps (default is TRUE)                     |
| drop_subscr_on_report_fail    | Update | Boolean | Changed default to TRUE                                                       |
| drop_event_subscriptions      | Update | Boolean | Changed default to TRUE                                                       |
| use_optimized_slvl            | Update | Boolean | Updated description that parameter control wild carded optimization           |
| use_optimized_port_mask_slvl  | New    | Boolean | Enable port masked optimized SLtoVLMappingTable programming (default is FALSE)|
| rtr_pr_mtu                    | Update | Numeric | Change default to 255 (Calculate PathRecord MTU according to route)           |
| rtr_pr_rate                   | Update | Numeric | Change default to 255 (Calculate PathRecord Rate according to route)          |


## Bug fixes

- Fixed removing ServiceRecords when port disconnects.

- Fixed setting threads affinity according to scheduler affinity.

- Fixed dumping SMDB file when ucast cache feature is enabled.

- Fixed event reporting to untrusted subscribers.

- Fixed creating service records with P_Key 0.

- Fixed handling routers marked as unhealthy when using fat-tree routing engine.

- Fixed creating dump files directory if not exists on startup.
