# MLNXSM 5.15.0

Copyright (c) 2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.  
April 2023


## Packages:

| Package | Version     |
| ------- | ----------- |
| UFM     | 6.13.x      |
| MOFED   | 23.04       |


## Main features

- Programmable Congestion Control  
  Extend IBCC to support programmable congestion control  
  Feature control parameters:  
  *ppcc_algo_dir* - Path to directory with PPCC algorithm profile files  

- Fast Recovery
  Support configuring policy on switches for reporting ports as unhealthy, and support
  isolating the unhealthy ports.  
  Feature control parameters:  
  - *fast_recovery_enabled* - Enable Fast Recovery feature  
    0 - SM will not send configuration, and will not isolate ports reported by switch (default)  
    1 - Disable the feature  
    2 - Enable the feature  
  - *fast_recovery_conf_file* - Path to fast recovery policy file

- Support running SM with topology specification file  
  Feature control parameters:  
  - *topo_config_enabled* - Enable/disable the feature  
  - *topo_config_file* - Path to topology specification file 

- Support generating SM performance report  
  Report file is created in SM logs directory with name opensm-perflog.json  
  Feature control parameters:  
  - *enable_performance_logging* - Enable/disable the feature (enabled by default)  
  - *osm_perflog_dump_limit* - Limit performance log file (20MB by default)  

## Changes

- Add port label for supporting NDR switches and CAs  

- Support running SM root detection algorithm when root GUIDs file is invalid  

- Support additional predefined port groups:
  - *ALL_ANS* - All aggregation nodes  
  - *ALL_SWITCH_TO_SWITCH* - All switch ports connected to other switches  
  - *ALL_SWITCH_TO_CA* - All switch ports connected to CAs  

- Improve FLID routing calculation time   

- Limit number of simultaneous SL2VL and VLArb MADs sent per device  

- Dump FLID ranges to opensm-router.dump file  


## Parameter changes

| Parameter name                | Status | Type    | Description                                                                                 |
| ----------------------------- | ------ | ------- | ------------------------------------------------------------------------------------------- |
| topo_config_enabled           | New    | Boolean | Enable runniong SM with topology spec file (default is FALSE)                               |
| topo_config_file              | New    | Path    | Path to topology specification file (default is "(null)")                                   |
| fast_recovery_enabled         | New    | Numeric | Enable fast recovery feature (default is 0)                                                 |
| fast_recovery_conf_file       | New    | Path    | Path to fast recovery file (default is "(null)"                                             |
| ppcc_algo_dir                 | New    | Path    | Path to directory with PPCC algorithm profile files (default is /etc/opensm/ppcc_algo_dir)  |
| enable_performance_logging    | New    | Boolean | Enable generating SM performance report (default is TRUE)                                   |
| osm_perflog_dump_limit        | New    | Numeric | Limit performance log file size in megabytes (default is 20)                                |
| max_seq_redisc                | Update | Numeric | Change default value to 4                                                                   |
| qos_policy_file               | Update | Path    | Change default value to "(null)"                                                            |
| routing_engine                | Update | String  | Update description that dfp2 is not experimental                                            |


## Bug Fixes

- Fixed reporting PortInfo validation failure for rebooted HCA ports

- Fixed writing VS and CC MADs in debug verbosity

- Fixed issue with sending SL2VL MADs for unhealthy ports

- Fixed initiating heavy sweep when reporting new unhealthy port  

