# Vendor Specific Key:

Security feature for Vendor Specific (VS) Class 0xA.
The Subnet Manager configures a unique VS key for each port of the subnet that
support Vendor Specific Classes and VS key feature.
The scope of protection is defined by opensm configuration file parameters, as
described below.
Once feature is enabled, device that receives MADs of the protected scope that
hold the wrong key, informs the Subnet Manager of the key violation.

## Opensm configuration parameters:
* key_mgr_seed – used by the SM for calculating the VS key and CC key.
* vs_key_enable:
    0 ignore – no key configuration MADs are sent.
    1 disable – configure subnet ports to hold 0 values for VS key, lease
    period and protection bits. Meaning no protection is provided.
    2 enable – configure key for each port. Set lease period and protection
    level as defined by *vs_key_lease_period, vs_key_ci_protect_bits,
    vs_enable_attribute*.
* vs_key_lease_period – lease period, in seconds. When device receives a MAD
with the wrong key, it reports to the Subnet Manager and waits
*vs_key_lease_period* seconds for response. If no response is received before
the period passed, device will no longer be protected by the VS key.
If set to 0, lease period is infinite.
* vs_key_ci_protect_bits – The protection level used for VS Keys protection,
defined by both VS protect bit and protection scope. Supported values are:
    0 - Protection is provided. However, VS managers are allowed to read the
    key by KeyInfo GET.
    1 - Protection is provided for all VS MADs.
Please notice that the above is accurate as long as non-zero keys were
configured for the ports of the subnet (vs_key_enable is 2). For ports with
key zero, no protection is provided.
* vs_max_outstanding_mads - maximum number of vendor specific MADs in the
network at once.
* gmp_traps_threads_num – number of threads handling gmp key violation traps.

## OpenSM Configuration file - values example:
```
key_mgr_seed 0x0000000000000001
vs_key_enable 2
vs_key_lease_period 0
vs_key_ci_protect_bits 1
vs_max_outstanding_mads 500
gmp_traps_threads_num 1
```
